// #autoload
// #name = UTHeadshotSounds
// #version = 0.1
// #date = Jan 24, 2003
// #author = ilys
// #warrior = ilys
// #description = Plays a sound when you get a headshot.
// #status = beta
// #category = ilys' Scripts
// #include = support/callback.cs
// #include = support/kill_callbacks.cs
// #include = support/player_support.cs
// #include = support/team_tracker.cs

function UTcheckheadshot(%msgtype, %msgstring, %score)
{
	%msg = detag(%msgstring);
	if (StrStr(%msgString, "You received a 1 point bonus for a successful headshot.") != -1)
	{
		%handle = alxCreateSource(AudioChat, "headshot.wav");
		alxPlay(%handle);
	}
}

function UTcheckheadshotkill(%msgtype, %msgstring, %victimName, %victimGender, %victimPoss, %killerName, %killerGender, %killerPoss, %damageType)
{
	%MySelf = PlayerList.getMyName();
	%killer = detag(%killerName);
	%type = detag(%damageType);
	if(%killer $= %MySelf && %type == 6)
	{
		%handle = alxCreateSource(AudioChat, "headshot.wav");
		alxPlay(%handle);
	}
}


package UTHeadshotSounds
{
function PlayGui::onWake(%this)
{
	callback.add(CallbackmsgHeadshot, "UTcheckheadshot");
	callback.add(CallbackmsgHeadshotKill, "UTcheckheadshotkill");

	parent::onWake(%this);
}
};

activatePackage(UTHeadshotSounds);
